cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/billing_periods/bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"billing_period": {
"display_name": "Monthly billing (AU)",
"description": "Bills once a month"
}
}'from exsited import build_client
client = build_client()
response = client.billing_periods.update_settings_billing_period(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"billing_period": {
"display_name": "Monthly billing (AU)",
"description": "Bills once a month",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.billingPeriods.updateSettingsBillingPeriod('bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
billing_period: {display_name: 'Monthly billing (AU)', description: 'Bills once a month'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->billingPeriods->updateSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'billing_period' => [
'display_name' => 'Monthly billing (AU)',
'description' => 'Bills once a month',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.billing_periods.billing_periods_dto.BillingPeriodsDto.SettingsBillingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsBillingPeriod> response = client.billingPeriods().updateSettingsBillingPeriod(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"billing_period", Map.of(
"display_name", "Monthly billing (AU)",
"description", "Bills once a month")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.BillingPeriods.UpdateSettingsBillingPeriodAsync(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["billing_period"] = new Dictionary<string, object?>
{
["display_name"] = "Monthly billing (AU)",
["description"] = "Bills once a month",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.billingPeriods.updateSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'billing_period': {
'display_name': 'Monthly billing (AU)',
'description': 'Bills once a month',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.BillingPeriods().UpdateSettingsBillingPeriod(context.Background(), "bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"billing_period": map[string]any{
"display_name": "Monthly billing (AU)",
"description": "Bills once a month",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"billing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>",
"time_period": "<string>"
}
}Billing periods
Update a billing period
Changes the fields you send on a billing period and returns it under billing_period.
PATCH
/
settings
/
billing_periods
/
{billing_period_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/billing_periods/bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"billing_period": {
"display_name": "Monthly billing (AU)",
"description": "Bills once a month"
}
}'from exsited import build_client
client = build_client()
response = client.billing_periods.update_settings_billing_period(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"billing_period": {
"display_name": "Monthly billing (AU)",
"description": "Bills once a month",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.billingPeriods.updateSettingsBillingPeriod('bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
billing_period: {display_name: 'Monthly billing (AU)', description: 'Bills once a month'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->billingPeriods->updateSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'billing_period' => [
'display_name' => 'Monthly billing (AU)',
'description' => 'Bills once a month',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.billing_periods.billing_periods_dto.BillingPeriodsDto.SettingsBillingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsBillingPeriod> response = client.billingPeriods().updateSettingsBillingPeriod(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"billing_period", Map.of(
"display_name", "Monthly billing (AU)",
"description", "Bills once a month")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.BillingPeriods.UpdateSettingsBillingPeriodAsync(
"bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["billing_period"] = new Dictionary<string, object?>
{
["display_name"] = "Monthly billing (AU)",
["description"] = "Bills once a month",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.billingPeriods.updateSettingsBillingPeriod(
'bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'billing_period': {
'display_name': 'Monthly billing (AU)',
'description': 'Bills once a month',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.BillingPeriods().UpdateSettingsBillingPeriod(context.Background(), "bp_181b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"billing_period": map[string]any{
"display_name": "Monthly billing (AU)",
"description": "Bills once a month",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"billing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"ordering": 123,
"period": "<string>",
"status": "<string>",
"time_period": "<string>"
}
}Send the fields to change under
billing_period. The response carries time_period in place of period and duration, so read the billing period again to see those fields.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The billing period's bp_ id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated billing period, under billing_period.
Show child attributes
Show child attributes